Missing install-time driver for QLogic QED 25/40/100Gb Ethernet NIC

Bug #1743638 reported by dann frazier on 2018-01-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Undecided
dann frazier
Xenial
Undecided
dann frazier
Artful
Undecided
dann frazier
Bionic
Undecided
dann frazier
linux (Ubuntu)
High
dann frazier
Xenial
High
dann frazier
Artful
High
dann frazier
Bionic
High
dann frazier
linux-firmware (Ubuntu)
High
dann frazier
Xenial
High
dann frazier
Artful
High
dann frazier
Bionic
High
dann frazier
linux-hwe (Ubuntu)
Undecided
Unassigned
Xenial
High
dann frazier
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux-hwe-edge (Ubuntu)
Undecided
Unassigned
Xenial
High
dann frazier
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]
Network installs over a QLogic QED 25/40/100Gb Ethernet NIC will not work.

[Test Case]
Attempt to use the netinst installer to install a system over this NIC.

[Regression Risk]
The fix is just add to add additional kernel modules and firmware to the installer to support this NIC. The biggest risk I see there is that it increases the size of the installer, which could potentially grow to bit for some smaller systems.

dann frazier (dannf) on 2018-01-16
Changed in linux-hwe-edge (Ubuntu Artful):
status: New → Invalid
Changed in linux-hwe-edge (Ubuntu Bionic):
status: New → Invalid
Changed in linux-hwe (Ubuntu Artful):
status: New → Invalid
Changed in linux-hwe (Ubuntu Bionic):
status: New → Invalid
Changed in linux-hwe-edge (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux (Ubuntu Xenial):
status: New → In Progress
Changed in linux (Ubuntu Artful):
status: New → In Progress
Changed in linux-hwe (Ubuntu Xenial):
status: New → In Progress
Changed in linux (Ubuntu Xenial):
importance: Undecided → High
Changed in linux (Ubuntu Artful):
importance: Undecided → High
Changed in linux-hwe (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-hwe-edge (Ubuntu Xenial):
importance: Undecided → High
Changed in linux (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
Changed in linux (Ubuntu Artful):
assignee: nobody → dann frazier (dannf)
Changed in linux-hwe (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
Seth Forshee (sforshee) on 2018-01-19
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
dann frazier (dannf) on 2018-02-02
Changed in linux-firmware (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
importance: Undecided → High
status: New → In Progress
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Artful):
status: In Progress → Fix Committed
Changed in linux-hwe (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-hwe-edge (Ubuntu Xenial):
status: In Progress → Fix Committed
dann frazier (dannf) on 2018-02-06
Changed in debian-installer (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
status: In Progress → Fix Committed
description: updated
dann frazier (dannf) on 2018-02-06
Changed in debian-installer (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
status: New → Fix Committed
dann frazier (dannf) on 2018-02-06
Changed in debian-installer (Ubuntu Artful):
status: New → Fix Committed
assignee: nobody → dann frazier (dannf)
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-firmware (Ubuntu Artful):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-firmware (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-firmware (Ubuntu Artful):
importance: Undecided → High
Seth Forshee (sforshee) on 2018-02-09
Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed
Seth Forshee (sforshee) on 2018-02-09
Changed in linux-firmware (Ubuntu Artful):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed
Seth Forshee (sforshee) on 2018-02-12
tags: added: block-proposed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
tags: added: verification-needed-xenial

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

dann frazier (dannf) wrote :

artful/linux verification:

$ dpkg -c nic-modules-4.13.0-35-generic-di_4.13.0-35.39_arm64.udeb | grep qed
drwxr-xr-x root/root 0 2018-02-12 10:28 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qed/
-rw-r--r-- root/root 828494 2018-02-12 10:28 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qed/qed.ko
drwxr-xr-x root/root 0 2018-02-12 10:28 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qede/
-rw-r--r-- root/root 171750 2018-02-12 10:28 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qede/qede.ko

xenial/linux-hwe verification:
$ dpkg -c nic-modules-4.13.0-35-generic-di_4.13.0-35.39~16.04.1_arm64.udeb | grep qed
drwxr-xr-x root/root 0 2018-02-12 19:26 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qede/
-rw-r--r-- root/root 172326 2018-02-12 17:25 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qede/qede.ko
drwxr-xr-x root/root 0 2018-02-12 19:26 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qed/
-rw-r--r-- root/root 828526 2018-02-12 17:25 ./lib/modules/4.13.0-35-generic/kernel/drivers/net/ethernet/qlogic/qed/qed.ko

tags: added: verification-done-artful verification-done-xenial
removed: verification-needed-artful verification-needed-xenial

Hello dann, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.17 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu530

---------------
debian-installer (20101020ubuntu530) bionic; urgency=medium

  [ dann frazier ]
  * netboot/arm64: Include nic-firmware. LP: #1743638.

  [ Dimitri John Ledkov ]
  * Drop the hunk that detects potentially redundant libraries in /lib and
    removes them. This currently, only removes libcrypto.so.1.0 (due to
    libcrypto.so.1.1 presence in /usr/lib) and thus breaks
    network-console/openssh-server. LP: #1749442

 -- Dimitri John Ledkov <email address hidden> Thu, 15 Feb 2018 11:49:25 +0000

Changed in debian-installer (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package linux-firmware - 1.171

---------------
linux-firmware (1.171) bionic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    2aa2ac2e9c09f09b0cfb6fc320c1e2d281530fa0
    - linux-firmware: update Marvell PCIe-USB8897-A2 firmware image
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - linux-firmware/i915: Add Geminilake DMC version 1.04
    - linux-firmware/i915: Add Cannonlake DMC version 1.06
    - linux-firmware: GuC firmware for Skylake v9.33
    - linux-firmware: GuC firmware for Broxton v9.29
    - linux-firmware: GuC firmware for kabylake v9.39
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - linux-firmware: DMC firmware for kabylake v1.04
    - iwlwifi: update firmwares for 3160, 3168, 7265D, 8000C and 8265
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D
    - iwlwifi: add new firmware version 34 for 8000C and 8265
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: intel: Update Geminilake audio firmware
    - linux-firmware: liquidio: update firmware to v1.7.0
    - iwlwifi: add firmware version 34 for new 9000 series
    - qcom: add firmware files for Adreno a530
    - qcom: add venus firmware files for v4.2
    - qed: Add firmware 8.33.1.0
    - amdgpu: add new CP firmware for polaris chips
    - s2255drv: f2255usb: firmware version 1.2.8
    - WHENCE: Fix typo in entry for iwlwifi-8265-34.ucode
    - WHENCE: Add missing entry for mlxsw_spectrum firmware
    - Mellanox: Add new mlxsw_spectrum firmware 13.1530.152
    - brcm: update firmware for bcm4339
    - brcm: introduce firmware for bcm43430 revision 0
    - brcm: update firmware for bcm4354
    - brcm: update firmware for bcm4356
    - brcm: update firmware for bcm4358
    - linux-firmware: DMC firmware for skylake v1.27
    - amdgpu: update vega10 vce firmware
    - amdgpu: add firmware for Raven
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - nfp: update firmware for Agilio CX SmartNICs
    - nfp: change firmware directory layout
    - nfp: add firmware for tc-flower
    - Revert commits a42f895, c113d33, 041aff8, 73d13b5
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - brcm: add CYW4373 firmwares and Cypress license file
    - linux-firmware: liquidio: add v1.7.0 vswitch firmware
    - nvidia: add GP108 signed firmware
    - linux-firmware: DMC firmware for cannonlake v1.07
    - rtlwifi: rtl8723de: Add firmware for new driver/device
    - wl127x/wl128x: update firmwares
    - wl18xx: update firmware file 8.9.0.0.76
    - linux-firmware: intel: Update Geminilake audio firmware
    - linux-firmware: update Marvell PCIe-USB8897/8997 firmware image to add...

Read more...

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Łukasz Zemczak (sil2100) wrote :

Hello dann, or anyone else affected,

Accepted debian-installer into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu451.22 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-xenial
removed: verification-done-xenial
dann frazier (dannf) wrote :

Verified:

  ┌─────────────────────┤ [!!] Configure the network ├──────────────────────┐
  │ │
  │ Your system has multiple network interfaces. Choose the one to use as │
  │ the primary network interface during the installation. If possible, │
  │ the first connected network interface found has been selected. │
  │ │
  │ Primary network interface: │
  │ │
  │ enp10s0f0: QLogic Corp. Device 8070 │
  │ enp10s0f1: QLogic Corp. Device 8070 │
  │ enp18s0f0: QLogic Corp. Device 8070 │
  │ enp18s0f1: QLogic Corp. Device 8070 │
  │ │
  │ <Go Back> │
  │ │
  └─────────────────────────────────────────────────────────────────────────┘

<Tab> moves; <Space> selects; <Enter> activates buttons

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (20.1 KiB)

This bug was fixed in the package linux - 4.13.0-36.40

---------------
linux (4.13.0-36.40) artful; urgency=medium

  * linux: 4.13.0-36.40 -proposed tracker (LP: #1750010)

  * Rebuild without "CVE-2017-5754 ARM64 KPTI fixes" patch set

linux (4.13.0-35.39) artful; urgency=medium

  * linux: 4.13.0-35.39 -proposed tracker (LP: #1748743)

  * CVE-2017-5715 (Spectre v2 Intel)
    - Revert "UBUNTU: SAUCE: turn off IBPB when full retpoline is present"
    - SAUCE: turn off IBRS when full retpoline is present
    - [Packaging] retpoline files must be sorted
    - [Packaging] pull in retpoline files

linux (4.13.0-34.37) artful; urgency=medium

  * linux: 4.13.0-34.37 -proposed tracker (LP: #1748475)

  * libata: apply MAX_SEC_1024 to all LITEON EP1 series devices (LP: #1743053)
    - libata: apply MAX_SEC_1024 to all LITEON EP1 series devices

  * KVM patches for s390x to provide facility bits 81 (ppa15) and 82 (bpb)
    (LP: #1747090)
    - KVM: s390: wire up bpb feature

  * artful 4.13 i386 kernels crash after memory hotplug remove (LP: #1747069)
    - Revert "mm, memory_hotplug: do not associate hotadded memory to zones until
      online"

  * CVE-2017-5715 (Spectre v2 Intel)
    - x86/feature: Enable the x86 feature to control Speculation
    - x86/feature: Report presence of IBPB and IBRS control
    - x86/enter: MACROS to set/clear IBRS and set IBPB
    - x86/enter: Use IBRS on syscall and interrupts
    - x86/idle: Disable IBRS entering idle and enable it on wakeup
    - x86/idle: Disable IBRS when offlining cpu and re-enable on wakeup
    - x86/mm: Set IBPB upon context switch
    - x86/mm: Only set IBPB when the new thread cannot ptrace current thread
    - x86/entry: Stuff RSB for entry to kernel for non-SMEP platform
    - x86/kvm: add MSR_IA32_SPEC_CTRL and MSR_IA32_PRED_CMD to kvm
    - x86/kvm: Set IBPB when switching VM
    - x86/kvm: Toggle IBRS on VM entry and exit
    - x86/spec_ctrl: Add sysctl knobs to enable/disable SPEC_CTRL feature
    - x86/spec_ctrl: Add lock to serialize changes to ibrs and ibpb control
    - x86/cpu/AMD: Add speculative control support for AMD
    - x86/microcode: Extend post microcode reload to support IBPB feature
    - KVM: SVM: Do not intercept new speculative control MSRs
    - x86/svm: Set IBRS value on VM entry and exit
    - x86/svm: Set IBPB when running a different VCPU
    - KVM: x86: Add speculative control CPUID support for guests
    - SAUCE: turn off IBPB when full retpoline is present

  * Artful 4.13 fixes for tun (LP: #1748846)
    - tun: call dev_get_valid_name() before register_netdevice()
    - tun: allow positive return values on dev_get_valid_name() call
    - tun/tap: sanitize TUNSETSNDBUF input

  * boot failure on AMD Raven + WestonXT (LP: #1742759)
    - SAUCE: drm/amdgpu: add atpx quirk handling (v2)

linux (4.13.0-33.36) artful; urgency=low

  * linux: 4.13.0-33.36 -proposed tracker (LP: #1746903)

  [ Stefan Bader ]
  * starting VMs causing retpoline4 to reboot (LP: #1747507) // CVE-2017-5715
    (Spectre v2 retpoline)
    - x86/retpoline: Fill RSB on context switch for affected CPUs
    - x86/retpoline: Add LFENCE to the retpoline/RSB filling RSB macros
    - x86/retpol...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.7 KiB)

This bug was fixed in the package linux - 4.4.0-116.140

---------------
linux (4.4.0-116.140) xenial; urgency=medium

  * linux: 4.4.0-116.140 -proposed tracker (LP: #1748990)

  * BUG: unable to handle kernel NULL pointer dereference at 0000000000000009
    (LP: #1748671)
    - SAUCE: net: ipv4: fix for a race condition in raw_sendmsg -- fix backport

linux (4.4.0-115.139) xenial; urgency=medium

  * linux: 4.4.0-115.138 -proposed tracker (LP: #1748745)

  * CVE-2017-5715 (Spectre v2 Intel)
    - Revert "UBUNTU: SAUCE: turn off IBPB when full retpoline is present"
    - SAUCE: turn off IBRS when full retpoline is present
    - [Packaging] retpoline files must be sorted
    - [Packaging] pull in retpoline files

linux (4.4.0-114.137) xenial; urgency=medium

  * linux: 4.4.0-114.137 -proposed tracker (LP: #1748484)

  * ALSA backport missing NVIDIA GPU codec IDs to patch table to
    Ubuntu 16.04 LTS Kernel (LP: #1744117)
    - ALSA: hda - Add missing NVIDIA GPU codec IDs to patch table

  * Shutdown hang on 16.04 with iscsi targets (LP: #1569925)
    - scsi: libiscsi: Allow sd_shutdown on bad transport

  * libata: apply MAX_SEC_1024 to all LITEON EP1 series devices (LP: #1743053)
    - libata: apply MAX_SEC_1024 to all LITEON EP1 series devices

  * KVM patches for s390x to provide facility bits 81 (ppa15) and 82 (bpb)
    (LP: #1747090)
    - KVM: s390: wire up bpb feature
    - KVM: s390: Enable all facility bits that are known good for passthrough

  * CVE-2017-5715 (Spectre v2 Intel)
    - SAUCE: drop lingering gmb() macro
    - x86/feature: Enable the x86 feature to control Speculation
    - x86/feature: Report presence of IBPB and IBRS control
    - x86/enter: MACROS to set/clear IBRS and set IBPB
    - x86/enter: Use IBRS on syscall and interrupts
    - x86/idle: Disable IBRS entering idle and enable it on wakeup
    - x86/idle: Disable IBRS when offlining cpu and re-enable on wakeup
    - x86/mm: Set IBPB upon context switch
    - x86/mm: Only set IBPB when the new thread cannot ptrace current thread
    - x86/kvm: add MSR_IA32_SPEC_CTRL and MSR_IA32_PRED_CMD to kvm
    - x86/kvm: Set IBPB when switching VM
    - x86/kvm: Toggle IBRS on VM entry and exit
    - x86/spec_ctrl: Add sysctl knobs to enable/disable SPEC_CTRL feature
    - x86/spec_ctrl: Add lock to serialize changes to ibrs and ibpb control
    - x86/cpu/amd, kvm: Satisfy guest kernel reads of IC_CFG MSR
    - x86/cpu/AMD: Add speculative control support for AMD
    - x86/microcode: Extend post microcode reload to support IBPB feature
    - KVM: SVM: Do not intercept new speculative control MSRs
    - x86/svm: Set IBRS value on VM entry and exit
    - x86/svm: Set IBPB when running a different VCPU
    - KVM: x86: Add speculative control CPUID support for guests
    - SAUCE: Fix spec_ctrl support in KVM
    - SAUCE: turn off IBPB when full retpoline is present

linux (4.4.0-113.136) xenial; urgency=low

  * linux: 4.4.0-113.136 -proposed tracker (LP: #1746936)

  [ Stefan Bader ]
  * Missing install-time driver for QLogic QED 25/40/100Gb Ethernet NIC
    (LP: #1743638)
    - [d-i] Add qede to nic-modules udeb

  * CVE-2017-5753 (Spectre v1 Intel)
    - x86/cpu/AMD: Make t...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in linux-hwe (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (20.2 KiB)

This bug was fixed in the package linux-hwe - 4.13.0-36.40~16.04.1

---------------
linux-hwe (4.13.0-36.40~16.04.1) xenial; urgency=medium

  * linux-hwe: 4.13.0-36.40~16.04.1 -proposed tracker (LP: #1750052)

  * linux: 4.13.0-36.40 -proposed tracker (LP: #1750010)

  * Rebuild without "CVE-2017-5754 ARM64 KPTI fixes" patch set

linux (4.13.0-35.39) artful; urgency=medium

  * linux: 4.13.0-35.39 -proposed tracker (LP: #1748743)

  * CVE-2017-5715 (Spectre v2 Intel)
    - Revert "UBUNTU: SAUCE: turn off IBPB when full retpoline is present"
    - SAUCE: turn off IBRS when full retpoline is present
    - [Packaging] retpoline files must be sorted
    - [Packaging] pull in retpoline files

linux (4.13.0-34.37) artful; urgency=medium

  * linux: 4.13.0-34.37 -proposed tracker (LP: #1748475)

  * libata: apply MAX_SEC_1024 to all LITEON EP1 series devices (LP: #1743053)
    - libata: apply MAX_SEC_1024 to all LITEON EP1 series devices

  * KVM patches for s390x to provide facility bits 81 (ppa15) and 82 (bpb)
    (LP: #1747090)
    - KVM: s390: wire up bpb feature

  * artful 4.13 i386 kernels crash after memory hotplug remove (LP: #1747069)
    - Revert "mm, memory_hotplug: do not associate hotadded memory to zones until
      online"

  * CVE-2017-5715 (Spectre v2 Intel)
    - x86/feature: Enable the x86 feature to control Speculation
    - x86/feature: Report presence of IBPB and IBRS control
    - x86/enter: MACROS to set/clear IBRS and set IBPB
    - x86/enter: Use IBRS on syscall and interrupts
    - x86/idle: Disable IBRS entering idle and enable it on wakeup
    - x86/idle: Disable IBRS when offlining cpu and re-enable on wakeup
    - x86/mm: Set IBPB upon context switch
    - x86/mm: Only set IBPB when the new thread cannot ptrace current thread
    - x86/entry: Stuff RSB for entry to kernel for non-SMEP platform
    - x86/kvm: add MSR_IA32_SPEC_CTRL and MSR_IA32_PRED_CMD to kvm
    - x86/kvm: Set IBPB when switching VM
    - x86/kvm: Toggle IBRS on VM entry and exit
    - x86/spec_ctrl: Add sysctl knobs to enable/disable SPEC_CTRL feature
    - x86/spec_ctrl: Add lock to serialize changes to ibrs and ibpb control
    - x86/cpu/AMD: Add speculative control support for AMD
    - x86/microcode: Extend post microcode reload to support IBPB feature
    - KVM: SVM: Do not intercept new speculative control MSRs
    - x86/svm: Set IBRS value on VM entry and exit
    - x86/svm: Set IBPB when running a different VCPU
    - KVM: x86: Add speculative control CPUID support for guests
    - SAUCE: turn off IBPB when full retpoline is present

  * Artful 4.13 fixes for tun (LP: #1748846)
    - tun: call dev_get_valid_name() before register_netdevice()
    - tun: allow positive return values on dev_get_valid_name() call
    - tun/tap: sanitize TUNSETSNDBUF input

  * boot failure on AMD Raven + WestonXT (LP: #1742759)
    - SAUCE: drm/amdgpu: add atpx quirk handling (v2)

linux (4.13.0-33.36) artful; urgency=low

  * linux: 4.13.0-33.36 -proposed tracker (LP: #1746903)

  [ Stefan Bader ]
  * starting VMs causing retpoline4 to reboot (LP: #1747507) // CVE-2017-5715
    (Spectre v2 retpoline)
    - x86/retpoline: Fill RSB on context switch for affected...

Changed in linux-hwe (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package linux - 4.15.0-10.11

---------------
linux (4.15.0-10.11) bionic; urgency=medium

  * linux: 4.15.0-10.11 -proposed tracker (LP: #1749250)

  * "swiotlb: coherent allocation failed" dmesg spam with linux 4.15.0-9.10
    (LP: #1749202)
    - swiotlb: suppress warning when __GFP_NOWARN is set
    - drm/ttm: specify DMA_ATTR_NO_WARN for huge page pools

  * linux-tools: perf incorrectly linking libbfd (LP: #1748922)
    - SAUCE: tools -- add ability to disable libbfd
    - [Packaging] correct disablement of libbfd

  * [Artful] Realtek ALC225: 2 secs noise when a headset plugged in
    (LP: #1744058)
    - ALSA: hda/realtek - update ALC225 depop optimize

  * [Artful] Support headset mode for DELL WYSE (LP: #1723913)
    - SAUCE: ALSA: hda/realtek - Add support headset mode for DELL WYSE

  * headset mic can't be detected on two Dell machines (LP: #1748807)
    - ALSA: hda/realtek - Support headset mode for ALC215/ALC285/ALC289
    - ALSA: hda - Fix headset mic detection problem for two Dell machines

  * Bionic update to v4.15.3 stable release (LP: #1749191)
    - ip6mr: fix stale iterator
    - net: igmp: add a missing rcu locking section
    - qlcnic: fix deadlock bug
    - qmi_wwan: Add support for Quectel EP06
    - r8169: fix RTL8168EP take too long to complete driver initialization.
    - tcp: release sk_frag.page in tcp_disconnect
    - vhost_net: stop device during reset owner
    - ipv6: addrconf: break critical section in addrconf_verify_rtnl()
    - ipv6: change route cache aging logic
    - Revert "defer call to mem_cgroup_sk_alloc()"
    - net: ipv6: send unsolicited NA after DAD
    - rocker: fix possible null pointer dereference in
      rocker_router_fib_event_work
    - tcp_bbr: fix pacing_gain to always be unity when using lt_bw
    - cls_u32: add missing RCU annotation.
    - ipv6: Fix SO_REUSEPORT UDP socket with implicit sk_ipv6only
    - soreuseport: fix mem leak in reuseport_add_sock()
    - net_sched: get rid of rcu_barrier() in tcf_block_put_ext()
    - net: sched: fix use-after-free in tcf_block_put_ext
    - media: mtk-vcodec: add missing MODULE_LICENSE/DESCRIPTION
    - media: soc_camera: soc_scale_crop: add missing
      MODULE_DESCRIPTION/AUTHOR/LICENSE
    - media: tegra-cec: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
    - gpio: uniphier: fix mismatch between license text and MODULE_LICENSE
    - crypto: tcrypt - fix S/G table for test_aead_speed()
    - Linux 4.15.3

  * bnx2x_attn_int_deasserted3:4323 MC assert! (LP: #1715519) //
    CVE-2018-1000026
    - net: create skb_gso_validate_mac_len()
    - bnx2x: disable GSO where gso_size is too big for hardware

  * ethtool -p fails to light NIC LED on HiSilicon D05 systems (LP: #1748567)
    - net: hns: add ACPI mode support for ethtool -p

  * CVE-2017-5715 (Spectre v2 Intel)
    - [Packaging] retpoline files must be sorted
    - [Packaging] pull in retpoline files

  * [Feature] PXE boot with Intel Omni-Path (LP: #1712031)
    - d-i: Add hfi1 to nic-modules

  * CVE-2017-5715 (Spectre v2 retpoline)
    - [Packaging] retpoline -- add call site validation
    - [Config] disable retpoline checks for first upload

  * Do not dup...

Read more...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu451.22

---------------
debian-installer (20101020ubuntu451.22) xenial; urgency=medium

  [ dann frazier ]
  * arm64-efi/netboot: Improvements to mini.iso generation:
    - Add an EFI System Partition to fix booting from USB stick on
      same platforms LP: #1692876.
    - Remove no-op arguments -boot-load-size and -boot-info-table.
    - Use simpler "-e" instead of "--efi-boot" since we only have 1
      el torito image.
    - Add -partition_offset 16 so that the output of commands like
      'isosize' is correct.
  * netboot/arm64: Include nic-firmware. LP: #1743638.

  [ Łukasz 'sil2100' Zemczak ]
  * Bump FLOPPY_SIZE on amd64, i386, and powerpc for kernel growth.

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 21 Feb 2018 10:43:54 +0100

Changed in debian-installer (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for debian-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1743638

tags: added: iso-testing
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.17

---------------
linux-firmware (1.157.17) xenial; urgency=medium

  * need linux-firmware for rtl bt ( 0bda:b023) (LP: #1747336)
    - rtl_bt: Add firmware and config file for RTL8822BE
    - rtl_bt: Update firmware for BT part of rtl8822be

  * Missing install-time driver for QLogic QED 25/40/100Gb Ethernet NIC
    (LP: #1743638)
    - UBUNTU: Add QLogic QED firmware to nic-firmware.lst

 -- Seth Forshee <email address hidden> Wed, 14 Feb 2018 08:19:39 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (32.7 KiB)

This bug was fixed in the package linux-hwe-edge - 4.15.0-13.14~16.04.1

---------------
linux-hwe-edge (4.15.0-13.14~16.04.1) xenial; urgency=medium

  * linux-hwe-edge: 4.15.0-13.14~16.04.1 -proposed tracker (LP: #1756480)

  * devpts: handle bind-mounts (LP: #1755857)
    - SAUCE: devpts: hoist out check for DEVPTS_SUPER_MAGIC
    - SAUCE: devpts: resolve devpts bind-mounts
    - SAUCE: devpts: comment devpts_mntget()
    - SAUCE: selftests: add devpts selftests

  * [bionic][arm64] d-i: add hisi_sas_v3_hw to scsi-modules (LP: #1756103)
    - d-i: add hisi_sas_v3_hw to scsi-modules

  * [Bionic][ARM64] enable ROCE and HNS3 driver support for hip08 SoC
    (LP: #1756097)
    - RDMA/hns: Refactor eq code for hip06
    - RDMA/hns: Add eq support of hip08
    - RDMA/hns: Add detailed comments for mb() call
    - RDMA/hns: Add rq inline data support for hip08 RoCE
    - RDMA/hns: Update the usage of sr_max and rr_max field
    - RDMA/hns: Set access flags of hip08 RoCE
    - RDMA/hns: Filter for zero length of sge in hip08 kernel mode
    - RDMA/hns: Fix QP state judgement before sending work requests
    - RDMA/hns: Assign dest_qp when deregistering mr
    - RDMA/hns: Fix endian problems around imm_data and rkey
    - RDMA/hns: Assign the correct value for tx_cqn
    - RDMA/hns: Create gsi qp in hip08
    - RDMA/hns: Add gsi qp support for modifying qp in hip08
    - RDMA/hns: Fill sq wqe context of ud type in hip08
    - RDMA/hns: Assign zero for pkey_index of wc in hip08
    - RDMA/hns: Update the verbs of polling for completion
    - RDMA/hns: Set the guid for hip08 RoCE device
    - net: hns3: Refactor of the reset interrupt handling logic
    - net: hns3: Add reset service task for handling reset requests
    - net: hns3: Refactors the requested reset & pending reset handling code
    - net: hns3: Add HNS3 VF IMP(Integrated Management Proc) cmd interface
    - net: hns3: Add mailbox support to VF driver
    - net: hns3: Add HNS3 VF HCL(Hardware Compatibility Layer) Support
    - net: hns3: Add HNS3 VF driver to kernel build framework
    - net: hns3: Unified HNS3 {VF|PF} Ethernet Driver for hip08 SoC
    - net: hns3: Add mailbox support to PF driver
    - net: hns3: Change PF to add ring-vect binding & resetQ to mailbox
    - net: hns3: Add mailbox interrupt handling to PF driver
    - net: hns3: add support to query tqps number
    - net: hns3: add support to modify tqps number
    - net: hns3: change the returned tqp number by ethtool -x
    - net: hns3: free the ring_data structrue when change tqps
    - net: hns3: get rss_size_max from configuration but not hardcode
    - net: hns3: add a mask initialization for mac_vlan table
    - net: hns3: add vlan offload config command
    - net: hns3: add ethtool related offload command
    - net: hns3: add handling vlan tag offload in bd
    - net: hns3: cleanup mac auto-negotiation state query
    - net: hns3: fix for getting auto-negotiation state in hclge_get_autoneg
    - net: hns3: add support for set_pauseparam
    - net: hns3: add support to update flow control settings after autoneg
    - net: hns3: add Asym Pause support to phy default features
    - net: hns3: add support for queryin...

Changed in linux-hwe-edge (Ubuntu Xenial):
status: Fix Committed → Fix Released

Hello dann, or anyone else affected,

Accepted linux-firmware into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.169.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

This package has not yet been tested. Looks like there was some issue with the reviewing tool that caused the tags not being properly set - please test the artful upload of linux-firmware please.

tags: added: verification-needed-artful
removed: verification-done-artful
tags: added: verification-needed
removed: verification-done
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers